Subject: Re: MPC 8349e-mITX and MTD/Flash

From: Sergei Shtylyov <[email-masked]>
Date: Tue, 10 Apr 2007 18:13:59 +0400

Hello.

Benedict, Michael wrote:
> Ben,
> 	I assume that you intended to CC the list but accidently hit
> "reply" instead.  If not, I apologize.  Thank you for all your help so
> far.

>>-----Original Message-----
>>From: Ben Warren [mailto:[email-masked]] 
>>Sent: Monday, April 09, 2007 4:30 PM
>>To: Benedict, Michael
>>Subject: Re: MPC 8349e-mITX and MTD/Flash

>>I suspect that MTD doesn't know anything about how
>>your flash chip is organized.  Probably the easiest
>>thing to use is CONFIG_MTD_PHYSMAP.  Using this, you
>>can either pass the MTD partitioning info via kernel
>>command line, via static physmap structures in your
>>board code or, I believe, via device tree (I haven't
>>tried the last one).

> The following is from my .config
> <snip>
> #
> # Mapping drivers for chip access
> #
> # CONFIG_MTD_COMPLEX_MAPPINGS is not set
> CONFIG_MTD_PHYSMAP=y
> CONFIG_MTD_PHYSMAP_START=0x8000000
> CONFIG_MTD_PHYSMAP_LEN=0x0
> CONFIG_MTD_PHYSMAP_BANKWIDTH=2
> # CONFIG_MTD_PHYSMAP_OF is not set
> CONFIG_MTD_PLATRAM=y
> <snip>
> 
> Is this what you are referring to?  Does something look obviously wrong
> with it?

    Yeah, CONFIG_MTD_PHYSMAP_LEN shoudn't be 0 unless you're registering your 
MTD via the platform device mechanism (and in that case specifying 
CONFIG_MTD_PHYSMAP_START and CONFIG_MTD_PHYSMAP_BANKWIDTH doesn't make sense).

WBR, Sergei